/**
 * Created by jinglupeng on 10/23/15.
 */

var gm = require('gm');
var mkdirp = require('mkdirp');
var path = require("path");

module.exports = function (file, pattern) {

    return new Promise(function (resolve, reject) {
        var dir = path.dirname(pattern);
        mkdirp(dir, function (err) {
            if (err) {
                console.error(err);
            } else {
                gm(file).out("+adjoin").
                    write(pattern, function (err) {
                        if (err) {
                            reject(err);
                        } else {
                            resolve();
                        }
                    });
            }
        });
    });
}
